Bug 201668 - powernow-k8 missing from recent 2.6.17 kernels
powernow-k8 missing from recent 2.6.17 kernels
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-07 22:54 EDT by Gregory Gulik
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-01 21:22:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gregory Gulik 2006-08-07 22:54:04 EDT
Description of problem:

Frequency scaling / power management stopped working on a Compaq R3000Z laptop
with an AMD Athlon processor.  I found the cpuspeed daemon wouldn't run because
it couldn't find some support it needed.  I know it used to work recently so I
backed up a couple kernel versions, to a 2.6.16 based kernel and cpuspeed worked
again:
powernow-k8: Found 1 AMD Athlon 64 / Opteron processors (version 1.60.0)
powernow-k8:    0 : fid 0x8 (1600 MHz), vid 0x6 (1400 mV)
powernow-k8:    1 : fid 0x0 (800 MHz), vid 0x18 (950 mV)


Version-Release number of selected component (if applicable):


How reproducible:

Always.

Steps to Reproduce:
1. Boot 2.6.17 based kernel
2. Start cpuspeed
3.
  
Actual results:

cpuspeed fails to start.


Expected results:

cpuspeed should start and the following should be logged to dmesg:
powernow-k8: Found 1 AMD Athlon 64 / Opteron processors (version 1.60.0)
powernow-k8:    0 : fid 0x8 (1600 MHz), vid 0x6 (1400 mV)
powernow-k8:    1 : fid 0x0 (800 MHz), vid 0x18 (950 mV)

Additional info:
Comment 1 Dave Jones 2006-08-08 14:58:43 EDT
Please attach a full dmesg output from a failing kernel.
Comment 2 Gregory Gulik 2006-08-10 01:33:11 EDT
Unfortunately I haven't been able to reproduce the failure.  A few days ago I
couldn't get it to work and now it seems to work fine with both 2.6.16 and
2.6.17 kernels.
Comment 3 Dave Jones 2006-10-16 17:55:01 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Dave Jones 2006-11-24 17:20:34 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.